PanelMenuTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.PanelMenuTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PanelMenuTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.PanelMenuTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PanelMenuTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PanelMenuTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setConverterMessage(java.lang.String __converterMessage)`
`void` | `setDisabled(java.lang.String __disabled)`
`void` | `setDisabledGroupClass(java.lang.String __disabledGroupClass)`
`void` | `setDisabledGroupStyle(java.lang.String __disabledGroupStyle)`
`void` | `setDisabledItemClass(java.lang.String __disabledItemClass)`
`void` | `setDisabledItemStyle(java.lang.String __disabledItemStyle)`
`void` | `setEvent(java.lang.String __event)`
`void` | `setExpandMode(java.lang.String __expandMode)`
`void` | `setExpandSingle(java.lang.String __expandSingle)`
`void` | `setGroupClass(java.lang.String __groupClass)`
`void` | `setGroupStyle(java.lang.String __groupStyle)`
`void` | `setHoveredGroupClass(java.lang.String __hoveredGroupClass)`
`void` | `setHoveredGroupStyle(java.lang.String __hoveredGroupStyle)`
`void` | `setHoveredItemClass(java.lang.String __hoveredItemClass)`
`void` | `setHoveredItemStyle(java.lang.String __hoveredItemStyle)`
`void` | `setIconCollapsedGroup(java.lang.String __iconCollapsedGroup)`
`void` | `setIconCollapsedTopGroup(java.lang.String __iconCollapsedTopGroup)`
`void` | `setIconDisabledGroup(java.lang.String __iconDisabledGroup)`
`void` | `setIconDisabledItem(java.lang.String __iconDisabledItem)`
`void` | `setIconExpandedGroup(java.lang.String __iconExpandedGroup)`
`void` | `setIconExpandedTopGroup(java.lang.String __iconExpandedTopGroup)`
`void` | `setIconGroupPosition(java.lang.String __iconGroupPosition)`
`void` | `setIconGroupTopPosition(java.lang.String __iconGroupTopPosition)`
`void` | `setIconItem(java.lang.String __iconItem)`
`void` | `setIconItemPosition(java.lang.String __iconItemPosition)`
`void` | `setIconItemTopPosition(java.lang.String __iconItemTopPosition)`
`void` | `setIconTopDisabledItem(java.lang.String __iconTopDisabledItem)`
`void` | `setIconTopDisableGroup(java.lang.String __iconTopDisableGroup)`
`void` | `setIconTopItem(java.lang.String __iconTopItem)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setItemClass(java.lang.String __itemClass)`
`void` | `setItemStyle(java.lang.String __itemStyle)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`void` | `setMode(java.lang.String __mode)`
`void` | `setOngroupcollapse(java.lang.String __ongroupcollapse)`
`void` | `setOngroupexpand(java.lang.String __ongroupexpand)`
`void` | `setOnitemhover(java.lang.String __onitemhover)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRequiredMessage(java.lang.String __requiredMessage)`
`void` | `setSelectedChild(java.lang.String __selectedChild)`
`void` | `setTopGroupClass(java.lang.String __topGroupClass)`
`void` | `setTopGroupStyle(java.lang.String __topGroupStyle)`
`void` | `setTopItemClass(java.lang.String __topItemClass)`
`void` | `setTopItemStyle(java.lang.String __topItemStyle)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValidatorMessage(java.lang.String __validatorMessage)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PanelMenuTag

    public PanelMenuTag()

Method Detail

### setIconGroupPosition

    public void setIconGroupPosition(java.lang.String __iconGroupPosition)

### setWidth

    public void setWidth(java.lang.String __width)

### setOnitemhover

    public void setOnitemhover(java.lang.String __onitemhover)

### setDisabledItemStyle

    public void setDisabledItemStyle(java.lang.String __disabledItemStyle)

### setIconCollapsedGroup

    public void setIconCollapsedGroup(java.lang.String __iconCollapsedGroup)

### setRequiredMessage

    public void setRequiredMessage(java.lang.String __requiredMessage)

### setIconTopDisableGroup

    public void setIconTopDisableGroup(java.lang.String __iconTopDisableGroup)

### setExpandSingle

    public void setExpandSingle(java.lang.String __expandSingle)

### setIconExpandedGroup

    public void setIconExpandedGroup(java.lang.String __iconExpandedGroup)

### setItemClass

    public void setItemClass(java.lang.String __itemClass)

### setOngroupexpand

    public void setOngroupexpand(java.lang.String __ongroupexpand)

### setIconItemTopPosition

    public void setIconItemTopPosition(java.lang.String __iconItemTopPosition)

### setDisabledGroupClass

    public void setDisabledGroupClass(java.lang.String __disabledGroupClass)

### setHoveredItemClass

    public void setHoveredItemClass(java.lang.String __hoveredItemClass)

### setIconDisabledGroup

    public void setIconDisabledGroup(java.lang.String __iconDisabledGroup)

### setDisabled

    public void setDisabled(java.lang.String __disabled)

### setValid

    public void setValid(java.lang.String __valid)

### setIconGroupTopPosition

    public void setIconGroupTopPosition(java.lang.String __iconGroupTopPosition)

### setValidator

    public void setValidator(java.lang.String __validator)

### setDisabledGroupStyle

    public void setDisabledGroupStyle(java.lang.String __disabledGroupStyle)

### setTopItemStyle

    public void setTopItemStyle(java.lang.String __topItemStyle)

### setEvent

    public void setEvent(java.lang.String __event)

### setExpandMode

    public void setExpandMode(java.lang.String __expandMode)

### setIconDisabledItem

    public void setIconDisabledItem(java.lang.String __iconDisabledItem)

### setHoveredGroupClass

    public void setHoveredGroupClass(java.lang.String __hoveredGroupClass)

### setIconTopDisabledItem

    public void setIconTopDisabledItem(java.lang.String __iconTopDisabledItem)

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setOngroupcollapse

    public void setOngroupcollapse(java.lang.String __ongroupcollapse)

### setDisabledItemClass

    public void setDisabledItemClass(java.lang.String __disabledItemClass)

### setIconItemPosition

    public void setIconItemPosition(java.lang.String __iconItemPosition)

### setGroupClass

    public void setGroupClass(java.lang.String __groupClass)

### setSelectedChild

    public void setSelectedChild(java.lang.String __selectedChild)

### setIconItem

    public void setIconItem(java.lang.String __iconItem)

### setHoveredGroupStyle

    public void setHoveredGroupStyle(java.lang.String __hoveredGroupStyle)

### setIconTopItem

    public void setIconTopItem(java.lang.String __iconTopItem)

### setRequired

    public void setRequired(java.lang.String __required)

### setValidatorMessage

    public void setValidatorMessage(java.lang.String __validatorMessage)

### setIconCollapsedTopGroup

    public void setIconCollapsedTopGroup(java.lang.String __iconCollapsedTopGroup)

### setMode

    public void setMode(java.lang.String __mode)

### setTopGroupStyle

    public void setTopGroupStyle(java.lang.String __topGroupStyle)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setGroupStyle

    public void setGroupStyle(java.lang.String __groupStyle)

### setHoveredItemStyle

    public void setHoveredItemStyle(java.lang.String __hoveredItemStyle)

### setTopItemClass

    public void setTopItemClass(java.lang.String __topItemClass)

### setConverterMessage

    public void setConverterMessage(java.lang.String __converterMessage)

### setItemStyle

    public void setItemStyle(java.lang.String __itemStyle)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setTopGroupClass

    public void setTopGroupClass(java.lang.String __topGroupClass)

### setIconExpandedTopGroup

    public void setIconExpandedTopGroup(java.lang.String __iconExpandedTopGroup)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.